www.rtmj.net > sql sErvEr 2008数据库还原报不兼容错误

sql sErvEr 2008数据库还原报不兼容错误

如果提示:该数据库是在运行版本 xx.xx.xxxx 的服务器上备份的.该版本与此服务器(运行版本 yy.yy.yyyy)不兼容.请在支持该备份的服务器上还原该数据库,或者使用与此服务器兼容的备份.普通的处理方案两个:1、方案一、请安装yy.yy.yyyy的sql,这个yy.yy.yyyy到底是哪个版本,把它抄下来,去网上搜索一下.另外,比yy.yy.yyyy高的版本一般也能兼容地进行还原,最好是相同版本,更保险一些.2、方案二、原sql server如果高于2008版,可以选导出数据库,并在这个过程中选择兼容数据库版本.这个方法仅对已存数据量不大的数据库.太大的导出和导入的过程会艰难,甚至无法完成.

如果提示:该数据库是在运行版本 XX.XX.XXXX 的服务器上备份的.该版本与此服务器(运行版本 YY.YY.YYYY)不兼容.请在支持该备份的服务器上还原该数据库,或者使用与此服务器兼容的备份.普通的处理方案两个:1、方案一、请安装YY.YY.YYYY的SQL,这个YY.YY.YYYY到底是哪个版本,把它抄下来,去网上搜索一下.另外,比YY.YY.YYYY高的版本一般也能兼容地进行还原,最好是相同版本,更保险一些.2、方案二、原SQL Server如果高于2008版,可以选导出数据库,并在这个过程中选择兼容数据库版本.这个方法仅对已存数据量不大的数据库.太大的导出和导入的过程会艰难,甚至无法完成.

高版本的数据库备份文件不能直接还原到低版本数据库

版本不一样,10.50.2500是SQLServer2008R2SP1,10.0.1600 是SQLServer2008,你把SQL升级到SP1

数据库升级到sql 2008 r2 sp1版本就可以了,可以分2个步骤,先升级到sql 2008 r2,这时的版本号为10.50.1600,这时你可以先还原一下试试,如果可以,可以暂时不升级sp1.如果不行就继续升级到sp1,版本号为10.50.2500.

.复制代码到新版本.一个表表的复制.

把要还原的数据库分离脱机 然后把数据库文件从SqlServer安装目录里面删除(注意备份),然后可以还原

用脚本生成吧,或者备份

你在启动数据库的时候需要,======右键-------管理员身份运行======然后在这样操作就可以了

你备份的数据库版本高,你当前计算机上安装的数据库版本低,SQL Server是不支持高版本的数据库备份文件还原到低版本的SQL Server服务器上的.

网站地图

All rights reserved Powered by www.rtmj.net

copyright ©right 2010-2021。
www.rtmj.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com